package com.xhkjedu.annotation;

import org.springframework.core.annotation.AliasFor;

import java.lang.annotation.*;

/*
 * @Description:自定义注解，主要作用在需要记录操作日志的接口
 * @Author: WN
 * @Date: 2023/11/15 14:42:13
 **/
@Target({ElementType.PARAMETER, ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ScalaParam {

    /**
     * 操作名称
     */
    @AliasFor("value")
    String fileValue();

    /**
     * 操作名称
     */
    String name() default "";

    ;

    /**
     * 输入类型
     */
    String type() default "";

    /**
     * 当类型是select时，此值不能为空，多个值以逗号隔开
     *
     * @return
     */
    String options() default "";


}
